Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.operation.linemerge
Class LineMerger

    java.lang.Object
      com.vividsolutions.jts.operation.linemerge.LineMerger

    public class LineMerger

extends java.lang.Object

Merges a collection of linear components to form maximal-length linestrings.

Merging stops at nodes of degree 1 or degree 3 or more. In other words, all nodes of degree 2 are merged together. The exception is in the case of an isolated loop, which only has degree-2 nodes. In this case one of the nodes is chosen as a starting point.

The direction of each merged LineString will be that of the majority of the LineStrings from which it was derived.

Any dimension of Geometry is handled - the constituent linework is extracted to form the edges. The edges must be correctly noded; that is, they must only meet at their endpoints. The LineMerger will accept non-noded input but will not merge non-noded edges.

Input lines which are empty or contain only a single unique coordinate are not included in the merging.

Version:
  1.7

Constructor Summary
`LineMerger()` Creates a new line merger.

Method Summary
`void` | `add(java.util.Collection geometries)` Adds a collection of Geometries to be processed.
`void` | `add(Geometry geometry)` Adds a Geometry to be processed.
`java.util.Collection` | `getMergedLineStrings()` Gets the `LineString`s created by the merging process.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LineMerger

    public LineMerger()

  Creates a new line merger.

Method Detail

### add

    public void add(Geometry geometry)

  Adds a Geometry to be processed. May be called multiple times. Any dimension of Geometry may be added; the constituent linework will be extracted.

  Parameters:
    `geometry` - geometry to be line-merged

### add

    public void add(java.util.Collection geometries)

  Adds a collection of Geometries to be processed. May be called multiple times. Any dimension of Geometry may be added; the constituent linework will be extracted.

  Parameters:
    `geometries` - the geometries to be line-merged

### getMergedLineStrings

    public java.util.Collection getMergedLineStrings()

  Gets the `LineString`s created by the merging process.

  Returns:
    the collection of merged LineStrings

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD